> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xhuoapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Producer Download WAV API Integration Instructions

> Producer Music Generation 集成指南 - XHuoAPI

Producer ci consente di scaricare i file WAV relativi alle canzoni, questo documento spiega il metodo di integrazione dell'API correlata.

Questa API ha solo un parametro di input, che è `audio_id`, ed è l'ID unico della canzone.

Qui l'`audio_id` che inseriamo è `a54609c6-13e2-4176-be0f-4d7eebc68e1f`, che è un ID canzone generato da Producer.

```bash theme={null}
curl -X POST 'https://api.xhuoapi.ai/v1/producer/wav' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
  "audio_id": "a54609c6-13e2-4176-be0f-4d7eebc68e1f"
}'
```

Il risultato è il seguente:

```
{
  "success": true,
  "task_id": "44963173-b6c5-463c-915f-96730d14ec63",
  "trace_id": "f75d6a27-54bc-49fd-a40e-6d4cd0427764",
  "data": [
    {
      "title": "Woke up with the sun in my eyes",
      "file_url": "https://cdn.ttapi.io/other/2025-12-30/a1508051-a6b8-4867-8cbb-32273a99c2ae.wav"
    }
  ]
}
```

Si può vedere che il campo `file_url` di `data` è il link per scaricare il WAV.
